Part Plane/es: Difference between revisions

From FreeCAD Documentation
(Created page with "== Opciones == {| | File:PartPlaneProperty.png | ==== Vista ==== Vista de la ventana de Propiedades estándar. ==== Datos ==== {{KEY/es|Base}} - Datos de emplazamiento del...")
(Updating to match new version of source page)
 
(7 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}} <!-- Note: Needs Usage section with ordered list. -->


<div class="mw-translate-fuzzy">
{{Docnav/es
{{Docnav/es
|[[Part_Primitives/es|Primitivas]]
|[[Part_Primitives/es|Primitivas]]
|[[Part_Ellipsoid/es|Elipsoide]]
|[[Part_Ellipsoid/es|Elipsoide]]
|[[Part_Module/es|Part]]
|[[Part_Workbench/es|Part]]
|IconL=Part_Primitives.svg
|IconL=Part_Primitives.svg
|IconR=Part_Ellipsoid.svg
|IconR=Part_Ellipsoid.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/es
{{GuiCommand/es
|Name=Part Plane
|Name=Part Plane
|Name/es=Part Plano
|Name/es=Part Plano
|MenuLocation=Pieza → Crear primitivas... →Plano
|MenuLocation=Pieza → Crear primitivas... →Plano
||Workbenches=[[Part_Module/es|Part]]
||Workbenches=[[Part_Workbench/es|Part]]
|SeeAlso=[[Part_Primitives/es|Part Primitivas]]
|SeeAlso=[[Part_Primitives/es|Part Primitivas]]
}}
}}
</div>


==Description==

<div class="mw-translate-fuzzy">
== Descripción ==
== Descripción ==
Crea un Plano paramétrico simple de 10 x 10 mm, con los parámetros de posición, longitud y anchura.
Crea un Plano paramétrico simple de 10 x 10 mm, con los parámetros de posición, longitud y anchura.
Por defecto, el Plano es colocado en el origen (0,0,0).
Por defecto, el Plano es colocado en el origen (0,0,0).
</div>


[[File:PartPlane.png]]
[[Image:Part_Plane_Example.png|400px]]


== Uso ==
== Uso ==


See [[Part_Primitives#Usage|Part Primitives]].
El Plano estándar es creado con su esquina inferior izquierda en el punto de origen {{incode|0,0,0}}.
Para cambiar estos parámetros, abrir la sección de Ubicación e introducir los valores deseados en sus respectivos campos de entrada, o pinchar en la [[3D_view/es|vista 3D]] y seleccionar un punto, los puntos de coordenadas son tomados de los campos.
En el menú de Dirección se puede también definir un vector estándar (X, Y o Z) normal al plano, o pinchar Definido por el usuario... para abrir la caja de diálogo que permite seleccionar un vector diferente (por ejemplo, la dirección 1.0 , -1 crea un plano inclinado 45° con respecto a X y Z).


== Example ==
Las propiedades pueden ser cambiadas posteriormente en la pestaña {{MenuCommand|Vista combinada → Datos}}, tras seleccionar el objeto.


[[Image:Part_Plane_Scripting_Example.png|thumb|Part Plane from the scripting example]]
== Opciones ==

{|
A Part Plane object created with the [[#Scripting|scripting example]] below is shown here.
| [[File:PartPlaneProperty.png]]

|
==== Vista ====
== Properties ==

Vista de la ventana de Propiedades estándar.
See also: [[Property_editor|Property editor]].
==== Datos ====

{{KEY/es|Base}} - Datos de emplazamiento del objeto <br />
A Part Plane object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* {{PropertyData/es|Label}} : String name of the object, defaults to 'Plane'. User may rename it.

* {{PropertyData|Placement}}: Placement of feature is defined by below angle, axis and position.
=== Data ===
*{{PropertyData|Angle}} : Angle of rotation relative to the below axis.

*{{PropertyData|Axis}} : Defines the axis of rotation plane: X, Y, or Z. Defaults to Z axis, Z = 1
{{TitleProperty|Attachment}}
*{{PropertyData|Position}} : Position X, Y, Z, relative to the origin 0, 0, 0.

{{KEY/it|Plane}} - Plane Specific Parameters <br />
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
* {{PropertyData|Length}} : Length is the dimension along the X axis The default value is 10 mm

* {{PropertyData|Width}} : Width is the size of the Y-axis The default value is 10 mm
{{TitleProperty|Plane}}
|}

* {{PropertyData|Length|Length}}: The length of the plane. This is the dimension in its X direction. The default is {{Value|10mm}}.
* {{PropertyData|Width|Length}}: The width of the plane. This is the dimension in its Y direction. The default is {{Value|10mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Plane can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
}}

* Where {{Incode|"myPlane"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()
}}




Line 55: Line 91:
|[[Part_Primitives|Primitives]]
|[[Part_Primitives|Primitives]]
|[[Part_Ellipsoid|Ellipsoid]]
|[[Part_Ellipsoid|Ellipsoid]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_Primitives.svg
|IconL=Part_Primitives.svg
|IconR=Part_Ellipsoid.svg
|IconR=Part_Ellipsoid.svg
Line 61: Line 97:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:03, 3 March 2022

Part Plano

Ubicación en el Menú
Pieza → Crear primitivas... →Plano
Entornos de trabajo
Part
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Part Primitivas

Description

Descripción

Crea un Plano paramétrico simple de 10 x 10 mm, con los parámetros de posición, longitud y anchura. Por defecto, el Plano es colocado en el origen (0,0,0).

Uso

See Part Primitives.

Example

Part Plane from the scripting example

A Part Plane object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • DatosLength (Length): The length of the plane. This is the dimension in its X direction. The default is 10mm.
  • DatosWidth (Length): The width of the plane. This is the dimension in its Y direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Plane can be created with the addObject() method of the document:

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where "myPlane" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()